مرجع API
إنشاء رفع
احجز البايتات المُعلنة للملف الأخير لعملية رفع واحدة.
احجز البايتات المُعلنة للملف الأخير لعملية رفع واحدة.
نقطة النهاية
- عنوان URL الأساسي
https://runapi.ai- إصدار API
v1- المصادقة
Authorization: Bearer YOUR_API_KEY
02
نص JSONالطلب
أرسل القيم فقط في موقع الطلب المُدرج.
application/json4 حقل
bytesinteger
مطلوب
الحجم النهائي المُعلَن للملف بالبايت. تقتصر رفوعات Batch على 209715200 بايت.
filenamestring
مطلوب
اسم الملف للملف المكتمل.
mime_typestring
مطلوب
نوع الوسائط للملف المكتمل.
purposestring
مطلوب
غرض الملف.
القيم المسموح بها:user_data, batch
القيمة الافتراضية: user_data
03
HTTP 200استجابة النجاح
POST /v1/uploads
JSON
{
"bytes": 1048576,
"created_at": 1785196800,
"expires_at": 1785200400,
"filename": "archive.bin",
"id": "upload_abc123",
"object": "upload",
"purpose": "user_data",
"status": "pending"
}
04
HTTP 401استجابة الخطأ (401)
مخطط الاستجابة
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
مثال على الاستجابة
JSON
{
"error": {
"code": "authentication_error",
"message": "Missing API key",
"param": null,
"type": "authentication_error"
}
}
05
HTTP 400استجابة الخطأ (400)
مخطط الاستجابة
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
مثال على الاستجابة
JSON
{
"error": {
"code": "invalid_request_error",
"message": "Malformed request",
"param": null,
"type": "invalid_request_error"
}
}
06
HTTP 404استجابة الخطأ (404)
مخطط الاستجابة
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
مثال على الاستجابة
JSON
{
"error": {
"code": "not_found",
"message": "File not found",
"param": null,
"type": "invalid_request_error"
}
}
07
HTTP 409استجابة الخطأ (409)
مخطط الاستجابة
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
مثال على الاستجابة
JSON
{
"error": {
"code": "upload_state_conflict",
"message": "Upload state conflict",
"param": null,
"type": "invalid_request_error"
}
}
08
HTTP 413استجابة الخطأ (413)
مخطط الاستجابة
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
مثال على الاستجابة
JSON
{
"error": {
"code": "file_too_large",
"message": "File size exceeds the maximum allowed size",
"param": "file",
"type": "invalid_request_error"
}
}
09
HTTP 422استجابة الخطأ (422)
مخطط الاستجابة
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
مثال على الاستجابة
JSON
{
"error": {
"code": "invalid_upload",
"message": "Upload request rejected",
"param": null,
"type": "invalid_request_error"
}
}
10
HTTP 502استجابة الخطأ (502)
مخطط الاستجابة
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
مثال على الاستجابة
JSON
{
"error": {
"code": "storage_write_failed",
"message": "File storage failed",
"param": null,
"type": "server_error"
}
}
11
مثال cURL
CURL
curl -X POST https://runapi.ai/v1/uploads \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"bytes":1048576,"filename":"archive.bin","mime_type":"application/octet-stream","purpose":"user_data"}'